## Documentation

- Overview
- Website
- Tutorials
- Class Index

## Classes

- _global_
- CL3D
- CL3D.AnimatedMeshSceneNode
- CL3D.Animator
- CL3D.AnimatorAnimateTexture
- CL3D.AnimatorCameraFPS
- CL3D.AnimatorCameraModelViewer
- CL3D.AnimatorCollisionResponse
- CL3D.AnimatorFlyCircle
- CL3D.AnimatorFlyStraight
- CL3D.AnimatorFollowPath
- CL3D.AnimatorOnClick
- CL3D.AnimatorOnProximity
- CL3D.AnimatorRotation
- CL3D.BillboardSceneNode
- CL3D.BoundingBoxTriangleSelector
- CL3D.Box3d
- CL3D.CameraSceneNode
- CL3D.ColorF
- CL3D.CopperCubeVariable
- CL3D.CopperLicht
- CL3D.CubeSceneNode
- CL3D.HotspotSceneNode
- CL3D.Light
- CL3D.LightSceneNode
- CL3D.Line3d
- CL3D.Material
- CL3D.Matrix4
- CL3D.Mesh
- CL3D.MeshBuffer
- CL3D.MeshSceneNode
- CL3D.MeshTriangleSelector
- CL3D.MetaTriangleSelector
- CL3D.Mobile2DInputSceneNode
- CL3D.OctTreeTriangleSelector
- CL3D.Overlay2DSceneNode
- CL3D.ParticleSystemSceneNode
- CL3D.PathSceneNode
- CL3D.Plane3d
- CL3D.Quaternion
- CL3D.Renderer
- CL3D.Scene
- CL3D.SceneNode
- CL3D.SkyBoxSceneNode
- CL3D.SoundSceneNode
- CL3D.TerrainSceneNode
- CL3D.Texture
- CL3D.TextureManager
- CL3D.Triangle3d
- CL3D.TriangleSelector
- CL3D.Vect2d
- CL3D.Vect3d
- CL3D.Vertex3D
- CL3D.WaterSurfaceSceneNode

CopperLicht API Documentation

# Class CL3D.PathSceneNode

A path scene node stores a 3d path which can be used for example by CL3D.Animators to move CL3D.SceneNodes along it.
Extends CL3D.SceneNode.

Class Overview
CL3D.PathSceneNode()
A path scene node stores a 3d path which can be used for example by CL3D.Animators to move CL3D.SceneNodes along it.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| IsClosedCircle Specifies if the path is a closed circle or a unclosed line.
| Nodes Array of path nodes, of type Vect3d.
| Tightness Tightness of the spline, specifies how the line is interpolated between the path nodes.

Fields borrowed from class CL3D.SceneNode:
  Id, Name, Pos, Rot, Scale, Selector, Visible

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getBoundingBox() Get the axis aligned, not transformed bounding box of this node.
| getPathNodePosition(idx)
| getPointOnPath(posOnPath, relative)
| getType() Returns the type string of the scene node.

Methods borrowed from class CL3D.SceneNode:
  addAnimator, addChild, createClone, getAbsolutePosition, getAbsoluteTransformation, getAnimatorOfType, getAnimators, getChildren, getMaterial, getMaterialCount, getParent, getRelativeTransformation, getTransformedBoundingBox, init, isActuallyVisible, OnAnimate, OnRegisterSceneNode, removeAnimator, removeChild, render, updateAbsolutePosition

Field Detail
{Boolean} IsClosedCircle
Specifies if the path is a closed circle or a unclosed line.

{Array} Nodes
Array of path nodes, of type Vect3d.

{Number} Tightness
Tightness of the spline, specifies how the line is interpolated between the path nodes. With this, you can create for example either cardinal splines (tightness != 0.5) or catmull-rom-splines (tightness == 0.5).
Method Detail
{CL3D.Box3d} getBoundingBox()
Get the axis aligned, not transformed bounding box of this node. This means that if this node is an animated 3d character, moving in a room, the bounding box will always be around the origin. To get the box in real world coordinates, just transform it with the matrix you receive with getAbsoluteTransformation() or simply use getTransformedBoundingBox(), which does the same.

Returns:
  {CL3D.Box3d} Bounding box of this scene node.

{CL3D.Vect3d} getPathNodePosition(idx)

Parameters:
idx
  {Number} Index of the path node

Returns:
  {CL3D.Vect3d} returns the 3d vector of the position of the specified path node

{CL3D.Vect3d} getPointOnPath(posOnPath, relative)

Parameters:
posOnPath
  {Number} Value between 0 and 1, meaning 0 is the start of the path and 1 is the end of the path.
relative
  {Boolean} set to true to get the position relative to the position of the path scene node, set to false to receive the position in absolute world space.

Returns:
  {CL3D.Vect3d} returns the 3d vector of the position

{String} getType()
Returns the type string of the scene node. Returns 'path' for the mesh scene node.

Returns:
  {String} type name of the scene node.

© 2011-2018 N.Gebhardt, Ambiera
Documentation generated by JsDoc Toolkit